
Foreman - Bug #2672

Can not set "Key Type" for Puppet Module

06/17/2013 04:25 PM - Patrick Cable

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi. I have a module:

class blah(

$var = $blah::params::var

) {

include blah::params     # stuff ...

}

class blah::params {

$var = [ ' ' ]

}

$blah::params::var should be an array. So I tried to set the override key type on the " from String to Array and it just wont happen. If I

put in a default value it will stick, but otherwise it will not.

History

#1 - 06/21/2013 10:12 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 06/21/2013 12:31 PM - Anonymous

- Status changed from Assigned to Rejected

Also, see doc update: https://github.com/theforeman/theforeman.org/pull/61

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://github.com/theforeman/theforeman.org/pull/61
http://www.tcpdf.org

